Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.bsq/src/main/java/org/gvsig/fmap/dal/file/bsq/BSQStoreProvider.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.bsq/src/main/java/org/gvsig/fmap/dal/file/bsq/BSQStoreProvider.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.bsq/src/main/java/org/gvsig/fmap/dal/file/bsq/BSQStoreProvider.java	(revision 43876)
@@ -24,10 +24,10 @@
 
 import java.io.IOException;
 import java.util.ArrayList;
+import org.gvsig.basicformats.FormatsFile;
+import org.gvsig.basicformats.HDRFile;
 import org.gvsig.fmap.dal.exception.InitializeException;
 import org.gvsig.fmap.dal.exception.OpenException;
-import org.gvsig.fmap.dal.fileutils.HDRFile;
-import org.gvsig.fmap.dal.fileutils.spi.UtilsFile;
 import org.gvsig.fmap.dal.raster.OpenRasterStoreParameters;
 import org.gvsig.fmap.dal.raster.spi.BandDescriptorServices;
 import org.gvsig.fmap.dal.spi.DataStoreProviderServices;
@@ -37,14 +37,13 @@
 
     // https://www.qgistutorials.com/en/docs/open_bil_bip_bsq_files.html
     // http://glcf.umd.edu/data/landcover/data.shtml
-    
     protected HDRFile hdrFile;
 
     @SuppressWarnings("OverridableMethodCallInConstructor")
     public BSQStoreProvider(
             String name,
             String description,
-            OpenRasterStoreParameters params, 
+            OpenRasterStoreParameters params,
             DataStoreProviderServices storeServices) throws InitializeException {
         super(
                 name,
@@ -72,20 +71,21 @@
         this.autoOpen();
         return this.hdrFile.getNcols();
     }
-    
+
     @Override
     protected void doDispose() throws BaseException {
         super.doDispose();
         this.hdrFile = null;
     }
-    
+
     @Override
     public void open() throws OpenException {
-        if ( this.hdrFile!=null ) {
+        if (this.hdrFile != null) {
             return;
         }
-        HDRFile theHDRFile = UtilsFile.createHDRFile(this.getFile());
-        if (!theHDRFile.isValid()) {
+        HDRFile theHDRFile;
+        theHDRFile = FormatsFile.getHDRFile(this.getFile());
+        if (theHDRFile == null || !theHDRFile.isValid()) {
             throw new OpenException(this.getProviderName(), null);
         }
         this.hdrFile = theHDRFile;
@@ -104,18 +104,19 @@
                 bandDescriptor.setDataType(dataType);
                 bandDescriptor.setName(String.valueOf(nband));
                 try {
-                    bandDescriptor.setDescription(this.getName()+ "- band "+nband);
+                    bandDescriptor.setDescription(this.getName() + "- band " + nband);
                 } catch (Exception e) {
-                    bandDescriptor.setDescription("band "+nband);
+                    bandDescriptor.setDescription("band " + nband);
                 }
                 bandDescriptor.add("X size", this.hdrFile.getNcols());
-                bandDescriptor.add("Y size", this.hdrFile.getNrows());                
+                bandDescriptor.add("Y size", this.hdrFile.getNrows());
                 BSQBandPageManager pageManager = new BSQBandPageManager(
                         getFile(),
                         nband * this.hdrFile.getBandSize(),
                         this.hdrFile.getNrows(),
                         this.hdrFile.getNcols(),
-                        dataType
+                        dataType,
+                        this.hdrFile.getByteorder()
                 );
                 this.pageManagers.add(pageManager);
             }
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.bsq/src/main/java/org/gvsig/fmap/dal/file/bsq/BSQBandPageManager.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.bsq/src/main/java/org/gvsig/fmap/dal/file/bsq/BSQBandPageManager.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.bsq/src/main/java/org/gvsig/fmap/dal/file/bsq/BSQBandPageManager.java	(revision 43876)
@@ -6,6 +6,7 @@
 import java.io.RandomAccessFile;
 import java.nio.Buffer;
 import java.nio.ByteBuffer;
+import java.nio.ByteOrder;
 import java.nio.DoubleBuffer;
 import java.nio.FloatBuffer;
 import java.nio.IntBuffer;
@@ -26,6 +27,7 @@
     private final int dataType;
     private final File file;
     private final long startpos;
+    private final ByteOrder byteOrder;
 
     /**
      * @param file
@@ -33,14 +35,16 @@
      * @param rows
      * @param columns
      * @param dataType
+     * @param byteOrder
      * @throws IOException
      */
-    public BSQBandPageManager(File file, long startpos, int rows, int columns, int dataType) throws IOException {
+    public BSQBandPageManager(File file, long startpos, int rows, int columns, int dataType, ByteOrder  byteOrder) throws IOException {
         this.rows = rows;
         this.columns = columns;
         this.dataType = dataType;
         this.file = file;
         this.startpos = startpos;
+        this.byteOrder = byteOrder;
 
         this.raf = new RandomAccessFile(this.file, "r");
         // BufferManager bufferManager = BufferLocator.getBufferManager();
@@ -55,37 +59,39 @@
         raf.seek(pos);
         BufferManager bufferManager = BufferLocator.getBufferManager();
         int dataTypeSize = bufferManager.getDataTypeSize(dataType);
-        byte[] byteArray = new byte[buffer.capacity() * dataTypeSize];
-        raf.read(byteArray);
+        int elements = buffer.capacity();
+        
+        ByteBuffer byteBuffer = ByteBuffer.allocate(elements * dataTypeSize);
+        byteBuffer.order(this.byteOrder);
+        raf.read(byteBuffer.array());
+
         buffer.rewind();
+        byteBuffer.rewind();
 
         switch (dataType) {
         case BufferManager.TYPE_BYTE:
-            //FIXME: Elegir cual de las dos siguientes maneras de hacerlo es la idónea
-
-            ((ByteBuffer) buffer).put(byteArray, 0, byteArray.length);
-//            System.arraycopy(byteArray, 0, ((ByteBuffer) buffer).array(), 0, byteArray.length);
+            ((ByteBuffer) buffer).put(byteBuffer);
             break;
         case BufferManager.TYPE_SHORT:
         case BufferManager.TYPE_USHORT:
-            for( int cell =0 ; cell<byteArray.length ; cell++ ) {
-                ((ShortBuffer) buffer).put((int)(cell/dataTypeSize), byteArray[cell]);
+            for( int element =0 ; element<elements ; element++ ) {
+                ((ShortBuffer) buffer).put(byteBuffer.getShort());
             }
             break;
         case BufferManager.TYPE_INT:
-            for( int cell =0 ; cell<byteArray.length ; cell++ ) {
-                ((IntBuffer) buffer).put((int)(cell/dataTypeSize), byteArray[cell]);
+            for( int element =0 ; element<elements ; element++ ) {
+                ((IntBuffer) buffer).put(byteBuffer.getInt());
             }
             break;
         case BufferManager.TYPE_FLOAT:
-            for( int cell =0 ; cell<byteArray.length ; cell++ ) {
-                ((FloatBuffer) buffer).put((int)(cell/dataTypeSize), byteArray[cell]);
+            for( int element=0 ; element<elements ; element++ ) {
+                ((FloatBuffer) buffer).put(byteBuffer.getFloat());
             }
             break;
 
         case BufferManager.TYPE_DOUBLE:
-            for( int cell =0 ; cell<byteArray.length ; cell++ ) {
-                ((DoubleBuffer) buffer).put((int)(cell/dataTypeSize), byteArray[cell]);
+            for( int element=0 ; element<elements ; element++ ) {
+                ((DoubleBuffer) buffer).put(byteBuffer.getDouble());
             }
             break;
 
@@ -97,37 +103,6 @@
     @Override
     public void save(Buffer buffer, int row, int rows, int dataType) throws IOException {
 
-        long pos = row*this.columns + this.startpos;
-        raf.seek(pos);
-
-        BufferManager bufferManager = BufferLocator.getBufferManager();
-        ByteBuffer byteBuffer = ByteBuffer.allocate(buffer.capacity() * bufferManager.getDataTypeSize(dataType));
-        switch (dataType) {
-        case BufferManager.TYPE_BYTE:
-            byteBuffer.put(((ByteBuffer)buffer).array());
-            break;
-        case BufferManager.TYPE_SHORT:
-        case BufferManager.TYPE_USHORT:
-            ShortBuffer byteAsShortBuffer = byteBuffer.asShortBuffer();
-            byteAsShortBuffer.put((short[]) buffer.array());
-            break;
-        case BufferManager.TYPE_INT:
-            IntBuffer byteAsIntBuffer = byteBuffer.asIntBuffer();
-            byteAsIntBuffer.put((int[]) buffer.array());
-            break;
-        case BufferManager.TYPE_FLOAT:
-            FloatBuffer byteAsFloatBuffer = byteBuffer.asFloatBuffer();
-            byteAsFloatBuffer.put((float[]) buffer.array());
-            break;
-        case BufferManager.TYPE_DOUBLE:
-            DoubleBuffer byteAsDoubleBuffer = byteBuffer.asDoubleBuffer();
-            byteAsDoubleBuffer.put((double[]) buffer.array());
-            break;
-        default:
-            throw new IllegalArgumentException("Data Type " + dataType + " not supported.");
-        }
-        raf.write(byteBuffer.array());
-
     }
 
     @Override
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.bsq/src/main/java/org/gvsig/fmap/dal/file/bsq/BSQFileSystemServerProviderFactory.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.bsq/src/main/java/org/gvsig/fmap/dal/file/bsq/BSQFileSystemServerProviderFactory.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.bsq/src/main/java/org/gvsig/fmap/dal/file/bsq/BSQFileSystemServerProviderFactory.java	(revision 43876)
@@ -32,25 +32,14 @@
 public class BSQFileSystemServerProviderFactory extends AbstractFilesystemServerExplorerProviderFactory {
 
     protected String[] fileExtensions;
-    protected boolean canCreate;
 
     public BSQFileSystemServerProviderFactory(
             String name, 
             String description, 
             String[] fileExtensions
         ) {
-        this(name, description, fileExtensions, false);
-    }
-
-    public BSQFileSystemServerProviderFactory(
-            String name, 
-            String description, 
-            String[] fileExtensions,
-            boolean canCreate
-        ) {
         super(name, description);
         this.fileExtensions = fileExtensions;
-        this.canCreate = canCreate;
     }
 
     @Override
@@ -58,8 +47,7 @@
         return new BSQFileSystemServerProvider(
                 this.getName(),
                 this.getDescription(),
-                this.fileExtensions,
-                this.canCreate
+                this.fileExtensions
         );
     }
 
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.imageio/src/main/java/org/gvsig/fmap/dal/file/imageio/ImageIOFileSystemServerProvider.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.imageio/src/main/java/org/gvsig/fmap/dal/file/imageio/ImageIOFileSystemServerProvider.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.file/org.gvsig.fmap.dal.file.imageio/src/main/java/org/gvsig/fmap/dal/file/imageio/ImageIOFileSystemServerProvider.java	(revision 43876)
@@ -42,7 +42,7 @@
 import org.gvsig.fmap.dal.NewDataStoreParameters;
 import org.gvsig.fmap.dal.exception.CreateException;
 import org.gvsig.fmap.dal.exception.DataException;
-import org.gvsig.fmap.dal.raster.api.NewRasterStoreParameters;
+import org.gvsig.fmap.dal.raster.NewRasterStoreParameters;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemStoreParameters;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.impl.AbstractFilesystemServerExplorerProvider;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.spi.FilesystemServerExplorerProviderServices;

Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultBandAttributeDescriptor.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultBandAttributeDescriptor.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultBandAttributeDescriptor.java	(revision 43876)
@@ -27,7 +27,7 @@
 import java.util.Collections;
 import java.util.List;
 
-import org.gvsig.fmap.dal.raster.api.BandAttributeDescriptor;
+import org.gvsig.fmap.dal.raster.BandAttributeDescriptor;
 import org.gvsig.tools.ToolsLocator;
 import org.gvsig.tools.dynobject.DynStruct;
 import org.gvsig.tools.lang.Cloneable;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultBandQuery.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultBandQuery.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultBandQuery.java	(revision 43876)
@@ -26,8 +26,8 @@
 import java.util.HashMap;
 import java.util.Map;
 
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
-import org.gvsig.fmap.dal.raster.api.BandQuery;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
+import org.gvsig.fmap.dal.raster.BandQuery;
 import org.gvsig.raster.lib.buffer.api.BufferLocator;
 import org.gvsig.tools.ToolsLocator;
 import org.gvsig.tools.dynobject.DynStruct;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterSet.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterSet.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterSet.java	(revision 43876)
@@ -32,10 +32,10 @@
 
 import org.gvsig.fmap.dal.DataStore;
 import org.gvsig.fmap.dal.exception.DataException;
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
-import org.gvsig.fmap.dal.raster.api.RasterSet;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
-import org.gvsig.fmap.dal.raster.api.exceptions.RasterSetInitializeException;
+import org.gvsig.fmap.dal.raster.RasterQuery;
+import org.gvsig.fmap.dal.raster.RasterSet;
+import org.gvsig.fmap.dal.raster.RasterStore;
+import org.gvsig.fmap.dal.raster.exceptions.RasterSetInitializeException;
 import org.gvsig.fmap.dal.raster.spi.RasterStoreProvider;
 import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.GeometryLocator;
@@ -155,6 +155,14 @@
     }
 
     @Override
+    public boolean areAllBandsOfTheSameType() {
+        if (this.buffer != null) {
+            return this.buffer.areAllBandsOfTheSameType();
+        }
+        return true;
+    }
+
+    @Override
     public Envelope getEnvelope() throws LocatorException, CreateEnvelopeException {
         if (this.buffer != null) {
             return this.buffer.getEnvelope();
@@ -388,6 +396,7 @@
         }
     }
 
+    @Override
     public final void dispose() {
         synchronized (lock) {
             // Check if we have already been disposed, and don't do it again
@@ -407,6 +416,7 @@
     /**
      * Internal implementation for the {@link #dispose()} method.
      *
+     * @throws org.gvsig.tools.exception.BaseException
      * @see #dispose()
      */
     public void doDispose() throws BaseException {
@@ -422,6 +432,7 @@
         super.finalize();
     }
 
+    @Override
     public BufferedImage getBufferedImage() {
         if (this.buffer != null) {
             return buffer.getBufferedImage();
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterStore.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterStore.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterStore.java	(revision 43876)
@@ -53,15 +53,15 @@
 import org.gvsig.fmap.dal.feature.exception.PersistenceStoreAlreadyLoadedException;
 import org.gvsig.fmap.dal.impl.DefaultDataManager;
 import org.gvsig.fmap.dal.raster.RasterStoreProviderFactory;
-import org.gvsig.fmap.dal.raster.api.BandAttributeDescriptor;
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
-import org.gvsig.fmap.dal.raster.api.BandQuery;
-import org.gvsig.fmap.dal.raster.api.RasterCache;
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
-import org.gvsig.fmap.dal.raster.api.RasterSet;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
-import org.gvsig.fmap.dal.raster.api.RasterStoreNotification;
-import org.gvsig.fmap.dal.raster.api.exceptions.RasterQueryCloneException;
+import org.gvsig.fmap.dal.raster.BandAttributeDescriptor;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
+import org.gvsig.fmap.dal.raster.BandQuery;
+import org.gvsig.fmap.dal.raster.RasterCache;
+import org.gvsig.fmap.dal.raster.RasterQuery;
+import org.gvsig.fmap.dal.raster.RasterSet;
+import org.gvsig.fmap.dal.raster.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterStoreNotification;
+import org.gvsig.fmap.dal.raster.exceptions.RasterQueryCloneException;
 import org.gvsig.fmap.dal.raster.impl.exceptions.AddingBandsException;
 import org.gvsig.fmap.dal.raster.spi.RasterCacheStoreProvider;
 import org.gvsig.fmap.dal.raster.spi.RasterStoreProvider;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterKernel.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterKernel.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterKernel.java	(revision 43876)
@@ -22,7 +22,7 @@
  */
 package org.gvsig.fmap.dal.raster.impl;
 
-import org.gvsig.fmap.dal.raster.api.RasterKernel;
+import org.gvsig.fmap.dal.raster.RasterKernel;
 import org.gvsig.raster.lib.buffer.api.Buffer;
 
 /**
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultBandDescriptor.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultBandDescriptor.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultBandDescriptor.java	(revision 43876)
@@ -27,9 +27,9 @@
 import java.util.Iterator;
 import java.util.List;
 
-import org.gvsig.fmap.dal.raster.api.BandAttributeDescriptor;
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.BandAttributeDescriptor;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.dal.raster.spi.BandDescriptorServices;
 import org.gvsig.fmap.dal.raster.spi.RasterStoreProviderServices;
 import org.gvsig.raster.lib.buffer.api.NoData;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterStoreNotification.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterStoreNotification.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterStoreNotification.java	(revision 43876)
@@ -23,7 +23,7 @@
 package org.gvsig.fmap.dal.raster.impl;
 
 import org.gvsig.fmap.dal.DataStore;
-import org.gvsig.fmap.dal.raster.api.RasterStoreNotification;
+import org.gvsig.fmap.dal.raster.RasterStoreNotification;
 
 /**
  * Implements RasterNofication
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterQuery.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterQuery.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/raster/impl/DefaultRasterQuery.java	(revision 43876)
@@ -30,8 +30,8 @@
 import java.util.Map.Entry;
 import java.util.Set;
 
-import org.gvsig.fmap.dal.raster.api.BandQuery;
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
+import org.gvsig.fmap.dal.raster.BandQuery;
+import org.gvsig.fmap.dal.raster.RasterQuery;
 import org.gvsig.fmap.geom.primitive.Envelope;
 import org.gvsig.tools.ToolsLocator;
 import org.gvsig.tools.dynobject.DynStruct;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/impl/DefaultDataManager.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/impl/DefaultDataManager.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/impl/DefaultDataManager.java	(revision 43876)
@@ -52,7 +52,6 @@
 import org.gvsig.fmap.dal.feature.spi.index.FeatureIndexProviderServices;
 import org.gvsig.fmap.dal.raster.impl.RasterStoreFactory;
 import org.gvsig.fmap.dal.raster.impl.RasterStoreOldFactory;
-import org.gvsig.fmap.dal.raster.spi.CoverageStoreProvider;
 import org.gvsig.fmap.dal.spi.DALSPILocator;
 import org.gvsig.fmap.dal.spi.DataManagerProviderServices;
 import org.gvsig.fmap.dal.spi.DataStoreProvider;
@@ -203,13 +202,6 @@
                     + " must implement org.gvsig.fmap.dal.DataStoreParameters");
         }
 
-        if (CoverageStoreProvider.class.isAssignableFrom(storeProviderClass)) {
-            // Envuelve al proveedor en una factoria por defecto.
-            this.registerStoreProviderFactory(new DataStoreProviderToCoverageProviderFactoryWrapper(
-                    name, "", storeProviderClass, parametersClass));
-            return;
-        }
-
         if (FeatureStoreProvider.class.isAssignableFrom(storeProviderClass)) {
             // Envuelve al proveedor en una factoria por defecto.
             this.registerStoreProviderFactory(new DataStoreProviderToFeatureStoreProviderFactoryWrapper(
@@ -837,10 +829,8 @@
                 throw new ProviderNotRegisteredException(name);
             }
             return featureCacheProviderFactory.createCacheProvider(parameters);
-        } catch (InstantiationException e) {
+        } catch (InstantiationException | IllegalAccessException e) {
             throw new InitializeException(e);
-        } catch (IllegalAccessException e) {
-            throw new InitializeException(e);
         }
     }
 
@@ -873,10 +863,8 @@
                 throw new ProviderNotRegisteredException(name);
             }
             return featureCacheProviderFactory.createParameters();
-        } catch (InstantiationException e) {
+        } catch (InstantiationException | IllegalAccessException e) {
             throw new InitializeException(e);
-        } catch (IllegalAccessException e) {
-            throw new InitializeException(e);
         }
     }
 
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/FileTileCacheStructImage.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/FileTileCacheStructImage.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/FileTileCacheStructImage.java	(revision 43876)
@@ -64,10 +64,10 @@
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.exception.ServerExplorerAddException;
 import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
-import org.gvsig.fmap.dal.raster.api.NewRasterStoreParameters;
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
-import org.gvsig.fmap.dal.raster.api.RasterSet;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.NewRasterStoreParameters;
+import org.gvsig.fmap.dal.raster.RasterQuery;
+import org.gvsig.fmap.dal.raster.RasterSet;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.dal.raster.spi.RasterStoreProvider;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.spi.FilesystemServerExplorerManager;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.spi.FilesystemServerExplorerProviderFactory;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/TileCacheStoreProvider.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/TileCacheStoreProvider.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/TileCacheStoreProvider.java	(revision 43876)
@@ -37,7 +37,7 @@
 import org.gvsig.fmap.dal.FileHelper;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.exception.InitializeException;
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
+import org.gvsig.fmap.dal.raster.RasterQuery;
 import org.gvsig.fmap.dal.raster.spi.RasterStoreProvider;
 import org.gvsig.fmap.dal.raster.spi.RasterStoreProviderServices;
 import org.gvsig.fmap.dal.resource.file.FileResource;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/AbstractTileCacheStoreProvider.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/AbstractTileCacheStoreProvider.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/AbstractTileCacheStoreProvider.java	(revision 43876)
@@ -41,7 +41,7 @@
 import org.gvsig.fmap.dal.exception.OpenException;
 import org.gvsig.fmap.dal.exception.ReadException;
 import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
+import org.gvsig.fmap.dal.raster.RasterQuery;
 import org.gvsig.fmap.dal.raster.spi.AbstractRasterStoreProvider;
 import org.gvsig.fmap.dal.raster.spi.RasterCacheStoreProvider;
 import org.gvsig.fmap.dal.raster.spi.RasterStoreProvider;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/AbstractTileCacheStructImage.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/AbstractTileCacheStructImage.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/AbstractTileCacheStructImage.java	(revision 43876)
@@ -10,8 +10,8 @@
 
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterQuery;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.dal.raster.spi.RasterStoreProvider;
 import org.gvsig.fmap.geom.Geometry.DIMENSIONS;
 import org.gvsig.fmap.geom.exception.CreateEnvelopeException;
